import request from "@/utils/request";

// 获得WMS 品质管理-Iqc检验项分页--待检验
export function getFqcToInspectPage(query) {
  return request({
    url: "/rtkwms/production-warehousing-order/page",
    method: "get",
    params: query,
  });
}
// 获得WMS 品质管理-Iqc检验项分页--已检验
export function getFqcInspectedPage(query) {
  return request({
    url: "wms/production-warehousing-order-inspection/page",
    method: "get",
    params: query,
  });
}
// 获得fqc物料检验项结果分页
export function getFqcPage(query) {
  return request({
    url: "/rtkqms/material-item-result/fqcpage",
    method: "get",
    params: query,
  });
}
// 获得fqc物料检验项检验详情
export function getViewFqcPage(query) {
  return request({
    url: "/rtkqms/material-item-result/fqcstatuspage",
    method: "get",
    params: query,
  });
}

// 检验执行前置校验
export function fqccreateMaterialItemResult(data) {
  return request({
    url: "/rtkqms/material-item-result/fqccreate",
    method: "post",
    data: data,
  });
}

// 完成检验
export function finishFqcMaterialItem(data) {
  return request({
    url: "/rtkwms/production-warehousing-order-inspection/create",
    method: "post",
    data: data,
  });
}
// fqc重新检验
export function updatefqcReinspection(data) {
  return request({
    url: "/rtkqms/material-item-result/fqcReinspection",
    method: "put",
    data: data,
  });
}
